package com.jay.monitor.data.server.config.props;

import com.jay.monitor.data.server.enums.AlertMsgEnums;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Module 属性配置
 * @Description 告警配置
 * @Author liukaixiong
 * @Date 2020/12/22 16:09
 */
@ConfigurationProperties(prefix = "spring.alert")
public class AlertProperties {
    /**
     * 是否开启告警推送
     */
    private boolean isEnable = true;

    /**
     * 推送类型
     */
    private AlertMsgEnums alertType;

    /**
     * 推送的第三方URL
     */
    private String url;

    public boolean isEnable() {
        return isEnable;
    }

    public void setEnable(boolean enable) {
        isEnable = enable;
    }

    public AlertMsgEnums getAlertType() {
        return alertType;
    }

    public void setAlertType(AlertMsgEnums alertType) {
        this.alertType = alertType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
