package com.jay.monitor.data.server.utils;

import org.apache.commons.lang3.StringUtils;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Module 工具类
 * @Description 数据处理
 * @Author liukaixiong
 * @Date 2020/10/23 16:28
 */
public class DataUtils {
    private static SimpleDateFormat sdf = new SimpleDateFormat("yyMMdd");

    /**
     * 获取String的值,没有则获取默认值
     *
     * @param value        值
     * @param defaultValue 默认值
     * @return
     */
    public static String getStringValue(String value, String defaultValue) {
        if (StringUtils.isEmpty(value)) {
            return defaultValue;
        }
        return value;
    }

    /**
     * 格式化成特定的日期字符串
     *
     * @param date
     * @return
     */
    public static String parseDayString(Date date) {
        if (date == null) {
            return sdf.format(new Date());
        }
        return sdf.format(date);
    }

}
